%define major     21
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define minor	  %nil

Name:           djvulibre
Version:        3.5.27
%define subrel  1
Release:        %mkrel 2
Summary:        DjVu viewers, encoders and utilities
License:        GPLv2+
Group:          Publishing
URL:            http://djvu.sourceforge.net/
Source0:        http://download.sourceforge.net/djvu/%{name}-%{version}%{minor}.tar.gz

BuildRequires:  gnome-mime-data
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(xt)
BuildRequires:  xdg-utils

%description
DjVu is a web-centric format and software platform for distributing
documents and images.  DjVu content downloads faster, displays and
renders faster, looks nicer on a screen, and consumes less client
resources than competing formats. DjVu was originally developed at AT&T
Labs-Research by Leon Bottou, Yann LeCun, Patrick Haffner, and many
others.  In March 2000, AT&T sold DjVu to LizardTech Inc. who now
distributes Windows/Mac plug-ins, and commercial encoders (mostly on
Windows)

In an effort to promote DjVu as a Web standard, the LizardTech
management was enlightened enough to release the reference
implementation of DjVu under the GNU GPL in October 2000.  DjVuLibre
(which means free DjVu), is an enhanced version of that code maintained
by the original inventors of DjVu. It is compatible with version 3.5 of
the LizardTech DjVu software suite.

DjVulibre-3.5 contains:
- a standalone DjVu viewer based on the Qt library.
- A browser plugin that works with most Unix browsers.
- A full-fledged wavelet-based compressor for pictures.
- A simple compressor for bitonal (black and white) scanned pages.
- A compressor for palettized images (a la GIF/PNG).
- A set of utilities to manipulate and assemble DjVu images and documents.
- A set of decoders to convert DjVu to a number of other formats.
- An up-to-date version of the C++ DjVu Reference Library.

%package -n %{libname}
Summary:        DjVulibre library
Group:          System/Libraries

%description -n %{libname}
Djvulibre shared libraries.

%package -n %{develname}
Summary:        DjVulibre development files
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       djvulibre-devel = %{version}-%{release}
Obsoletes:      %{mklibname %{name} 15 -d}

%description -n %{develname}
DjVulibre development files.

%package browser-plugin
Summary:        DjVulibre browser plugin
Group:          Publishing
Requires:       %{name} = %{version}-%{release}

%description browser-plugin
A browser plugin that works with most Unix browsers.

%prep
%setup -q

%build
%configure2_5x \
    --prefix=%{_prefix} \
    --enable-xmltools \
    --enable-threads \
    --enable-debug \
    --enable-i18n \
    --enable-desktopfiles

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc README COPYRIGHT COPYING INSTALL NEWS doc
%{_bindir}/any2djvu
%{_bindir}/bzz
%{_bindir}/c44
%{_bindir}/cjb2
%{_bindir}/cpaldjvu
%{_bindir}/csepdjvu
%{_bindir}/ddjvu
%{_bindir}/djvm
%{_bindir}/djvmcvt
%{_bindir}/djvudigital
%{_bindir}/djvudump
%{_bindir}/djvuextract
%{_bindir}/djvumake
%{_bindir}/djvups
%{_bindir}/djvused
%{_bindir}/djvuserve
%{_bindir}/djvutoxml
%{_bindir}/djvutxt
%{_bindir}/djvuxmlparser
%{_datadir}/djvu
%{_mandir}/man1/any2djvu.1*
%{_mandir}/man1/bzz.1*
%{_mandir}/man1/c44.1*
%{_mandir}/man1/cjb2.1*
%{_mandir}/man1/cpaldjvu.1*
%{_mandir}/man1/csepdjvu.1*
%{_mandir}/man1/ddjvu.1*
%{_mandir}/man1/djvm.1*
%{_mandir}/man1/djvmcvt.1*
%{_mandir}/man1/djvu.1*
%{_mandir}/man1/djvudigital.1*
%{_mandir}/man1/djvudump.1*
%{_mandir}/man1/djvuextract.1*
%{_mandir}/man1/djvumake.1*
%{_mandir}/man1/djvups.1*
%{_mandir}/man1/djvused.1*
%{_mandir}/man1/djvuserve.1*
%{_mandir}/man1/djvutoxml.1*
%{_mandir}/man1/djvutxt.1*
%{_mandir}/man1/djvuxml.1*
%{_mandir}/man1/djvuxmlparser.1*
%{_datadir}/mime/packages/*.xml
%{_iconsdir}/hicolor/*/mimetypes/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/libdjvu
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Jul 29 2017 akien <akien> 3.5.27-2.1.mga6
+ Revision: 1132563
- BR libjpeg and libtiff-4 for additional features

* Thu Feb 11 2016 umeabot <umeabot> 3.5.27-2.mga6
+ Revision: 953787
- Mageia 6 Mass Rebuild

  + shlomif <shlomif>
    - Fix grammar and trailing whitespace.
    - Debian has a new 3.5.27.1 release, but I cannot find it anywhere on the djvu
      site so not packaging it.

* Sun Jun 21 2015 luigiwalser <luigiwalser> 3.5.27-1.mga6
+ Revision: 837005
- 3.5.27

* Wed Oct 15 2014 umeabot <umeabot> 3.5.25-6.mga5
+ Revision: 743089
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.5.25-5.mga5
+ Revision: 678761
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.5.25-4.mga4
+ Revision: 503898
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.5.25-3.mga3
+ Revision: 348831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 wally <wally> 3.5.25-2.mga3
+ Revision: 335498
- drop .la files
- clean .spec a bit

* Sun Aug 19 2012 luigiwalser <luigiwalser> 3.5.25-1.mga3
+ Revision: 282300
- 3.5.25

* Thu Sep 08 2011 tv <tv> 3.5.24-1.mga2
+ Revision: 141506
- new release

* Mon Jan 17 2011 pterjan <pterjan> 3.5.23-1.mga1
+ Revision: 21245
- Update to 3.5.23
- Disable djview3/djvulibre-browser-plugin, new qt4 replacement exist
- imported package djvulibre

